Last Comment Bug 692031 - DOMTemplate async loops do not drop the loop element
: DOMTemplate async loops do not drop the loop element
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 10
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on: 691012
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-04 23:40 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-10-13 09:55 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
upload 1 (3.72 KB, patch)
2011-10-07 12:58 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
rcampbell: review+
Details | Diff | Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-04 23:40:03 PDT
See comment in
/devtools/browser/devtools/shared/test/browser_templater_basic.js

The <loop> element is special when used with foreach, in that it should be removed on processing. When the data is asynchronous, the loop element is not dropped.

Compare the 'loopElement' and 'asyncLoopElement' tests.
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-07 12:58:51 PDT
Created attachment 565619 [details] [diff] [review]
upload 1

This patch fixes the bug is question and tidies up a few minor things. It also uncomments the test for this bug.
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-12 07:52:34 PDT
Try log:
https://tbpl.mozilla.org/?tree=Try&rev=f2eedda104b1
Comment 3 Rob Campbell [:rc] (:robcee) 2011-10-12 10:08:44 PDT
Comment on attachment 565619 [details] [diff] [review]
upload 1

okay!
Comment 4 Rob Campbell [:rc] (:robcee) 2011-10-12 10:14:53 PDT
upload 1: https://hg.mozilla.org/integration/fx-team/rev/cf6f3b701980
Comment 5 Rob Campbell [:rc] (:robcee) 2011-10-13 09:55:20 PDT
https://hg.mozilla.org/mozilla-central/rev/cf6f3b701980

Note You need to log in before you can comment on or make changes to this bug.